/*
 * $ java-algs4 SeveralDates 15 11 2023 3 8888 | java-algs4 SortDates
 * 15/1/2023
 * 16/1/2023
 * 17/1/2023
 * 15/11/2023
 * [...]
 * 17/12/2025
 * $ 
 */

import edu.princeton.cs.algs4.StdOut;
import edu.princeton.cs.algs4.StdIn;

public class SortDates
{
    public static void main(String[] args)
    {
	int N = Integer.parseInt(StdIn.readLine().trim());
	int[][] dates = new int[N][3];

	for (int i = 0; i < N; i++) {
	    String line = StdIn.readLine();
	    String[] date = line.split("/");
	    dates[i][0] = Integer.parseInt(date[0]);
	    dates[i][1] = Integer.parseInt(date[1]);
	    dates[i][2] = Integer.parseInt(date[2]);
	}

	MergeRows.sort(dates, 0);
	MergeRows.sort(dates, 1);
	MergeRows.sort(dates, 2);

	for (int i = 0; i < N; i++) 
	    StdOut.println(dates[i][0] + "/" + dates[i][1] + "/" + dates[i][2]);
    }
}
